/* Start show-hide the Containers */

div,
section,
article,
aside,
footer,
header,
main,
nav,
form {
/*  border: 1px solid orange;*/
  /* disable the border above to hide the container edges */
}

/* End show-hide the Containers */

/* Start standard Grid */

.GridWrapper {
  display: grid;
  grid-template-columns: minmax(auto, 1000px);
  /* Could change ALL to 1200px for wider displays */
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  padding: 20px;
}

.Grid {
  display: grid;
  grid-template-columns: 1fr;
  grid-row-gap: 20px;
  grid-column-gap: 20px;
  padding: 20px;
}

.Grid > * {
  min-width: 0;
  /* This targets the direct children of a grid and locks in columns widths. It prevents column widths from expanding to accommodate oversized content like images or headlines. */
}

.Cols-1 {
  grid-template-columns: 1fr;
}

.Cols-2 {
  grid-template-columns: 1fr 1fr;
}

.Cols-3 {
  grid-template-columns: repeat(3, 1fr);
}

.Cols-3_2fr-1fr {
  grid-template-columns: 2fr 1fr;
}

.Cols-3_1fr-2fr {
  grid-template-columns: 1fr 2fr;
}

.Cols-4 {
  grid-template-columns: repeat(4, 1fr);
}

.Cols-5 {
  grid-template-columns: repeat(5, 1fr);
}

.Cols-1-NarrowCentered {
  /* you may need to create additional unique class names for other margins */
  margin: 0 15%;
}

.SpanAllColumns {
  grid-column: 1/-1;
}

/* End standard Grid */

/* Paste non-standard grids here Start*/

/* Paste non-standard grids here End */

body {
  font-size: 90%;
  font-family:  "verdana", sans-serif;
  color: white;
  text-align: center;
  background-color: white;
  background-image: url(../images/photo01.jpeg);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: contain;
  background-attachment: fixed;

  
}

.PageWrapper {
  width: 100%;
  /* Change above to - - max-width: 1000px;  or 1200px- - for a fixed-width look*/
  margin-right: auto;
  margin-left: auto;  
/*  padding: 20px;*/
  min-height: 100vh;
}

a:link,
a:visited,
a:hover,
a:active {
  color: #00F;
  text-decoration: none;
}

/* Start standard header navigation */

.HeaderWrapper {
  display: grid;
  grid-template-columns: minmax(auto, 1000px);
  /* Could change ALL to 1200px for wider displays */
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: salmon;
  padding: 20px;
}

header {
  display: grid;
  grid-template-columns: 1fr 3fr;
  /* Could use  grid-template-columns: 25% auto;  to create varible buttons widths based on word length*/
  grid-row-gap: 20px;
  grid-column-gap: 20px;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  background-color: pink;
  padding: 20px;
}

.logo {
  text-align: center;
  background-color: lightblue;
  /*  align-self: center;*/
  /*  justify-self: center;*/
  /* the rules above center will vertically and horizontally*/
}

header nav {
  background-color: plum;
  padding: 10px;
}

header nav ul {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  /* Could use  repeat(6, auto);  to create varible buttons widths based on word length*/
  grid-row-gap: 10px;
  grid-column-gap: 10px;
  background-color: thistle;
  padding: 20px;
}

header nav a:link,
header nav a:visited {
  text-align: center;
  color: yellow;
  background-color: #AF9A3C;
  padding: 6px;
  display: block;
  /* block fills 100% of width */
  border: 1px solid gray;
  border-radius: 10px;
}

header nav a:hover {
  color: white;
  background-color: #E6B667;
}

/* End standard header navigation */

main {
  padding: 20px;
}

.HideOnTabletPhone {
  display: block;
}

.HideOnPhone {
  display: block;
}

.button {
  text-align: center;
  color: white !important;
  background-color: cadetblue;
  font-size: 18px;
  padding: 5px 16px 7px 16px;
  border: 2px solid gray;
  border-radius: 20px;
  -webkit-transition: all 1s;
  transition: all 1s;
}

a.button:hover {
  color: yellow !important;
  background: #3d7a80;
}

.FooterWrapper {
  display: grid;
  grid-template-columns: minmax(auto, 3000px);
  /* Could change ALL to 1200px for wider displays */
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: #575757;
  padding: 10px;
  position: absolute;
  bottom: 0;
  
  height: 50px
}
  
  
}

footer {
  font-size: 85%;
  line-height: 1.55;
  padding: 15px;
  display: grid;
  grid-template-columns: auto auto;
  grid-row-gap: 10px;
  grid-column-gap: 20px;
  background-color: darkcyan;
  color: white;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.FooterNamePolicyTerms span {
  padding-right: 15px;
}

.FooterSocial a {
  color: white !important;
  font-size: 140%;
  padding-left: 10px;
}

.FullHeight {
    min-height: 90vh;
}


.Headline {
  font-family: 'Splash', cursive;
  font-size: 10vw;
  color: #ffd800;
  text-shadow: 3px 3px 4px black,
  0px 0px 8px black;
  line-height: .95;

}

.Tracking {
  letter-spacing: 10px;
  color: #ffd800;
  font-size: 5vw;
  font-family: 'Barlow Condensed', sans-serif;
/*
  text-shadow: 3px 3px 4px black,
  0px 0px 8px black;
*/
}



/* Start alignment snippets */

/*Via the Parent grid*/

/*Note justify and align CONTENT also work on parent reasearch it*/

.JustifyItemsLeft {
  justify-items: start;
}

.JustifyItemsRight {
  justify-items: end;
}

.JustifyItemsCenter {
  justify-items: center;
}

.AlignItemsTop {
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: start;
}

.AlignItemsBottom {
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: end;
}

.AlignItemsCenter {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}


/*Via the Child within grid*/

.JustifySelfLeft {
  justify-self: start;
}

.JustifySelfRight {
  justify-self: end;
}

.JustifySelfCenter {
  justify-self: center;
}

.AlignSelfTop {
  -ms-flex-item-align: start;
  align-self: start;
}

.AlignSelfBottom {
  -ms-flex-item-align: end;
  align-self: end;
}

.AlignSelfCenter {
  -ms-flex-item-align: center;
  align-self: center;
}

/*Other alignment snippets*/

.CenterBlockElement {
  display: block;
  float: none;
  margin-left: auto;
  margin-right: auto;
}

.CenterInlineElement {
  text-align: center;
}

.FloatImageLeft {
  float: left;
  margin-right: 10px;
  margin-bottom: 5px;
}

.FloatImageRight {
  float: right;
  margin-left: 10px;
  margin-bottom: 5px;
}

.RespondImageMaxWidth {
  max-width: 100%;
  height: auto;
}

.RespondImage100 {
  width: 100%;
  height: auto;
}

.FloatLeft {
  float: left;
}

.FloatRight {
  float: right;
}

.FloatCenter {
  float: none;
  margin-left: auto;
  margin-right: auto;
}

/* End alignment snippets */

/* Start pad and gap removers */

.NoPadAll {
  padding: 0;
}

.NoPadTop {
  padding-top: 0;
}

.NoPadBottom {
  padding-bottom: 0;
}

.NoPadTopBottom {
  padding-top: 0;
  padding-bottom: 0;
}

.NoPadLeft {
  padding-left: 0;
}

.NoPadRight {
  padding-right: 0;
}

.NoPadLeftRight {
  padding-left: 0;
  padding-right: 0;
}

.NoGapAll {
  grid-row-gap: 0;
  grid-column-gap: 0;
}

.NoGapTopBottom {
  grid-row-gap: 0;
}

.NoGapLeftRight {
  grid-column-gap: 0;
}

/* End pad and gap removers */

/* Start media query TABLET rules */

@media screen and (max-width:900px) {

  header nav ul {
    grid-template-columns: repeat(2, 1fr);
  }

  .TabletCols-1 {
    grid-template-columns: 1fr;
  }

  .TabletCols-2 {
    grid-template-columns: 1fr 1fr;
  }

  .TabletCols-3 {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .TabletCols-4 {
    grid-template-columns: repeat(4, 1fr);
  }

  .TabletCols-5 {
    grid-template-columns: repeat(5, 1fr);
  }

  .TabletSpanAllColumns {
    grid-column: 1/-1;
  }

  .HideOnTabletPhone {
    display: none;
  }
}

/* End media query TABLET rules */

/* Start media query PHONE rules */

@media screen and (max-width:600px) {

  header {
    grid-template-columns: 1fr;
  }

  header nav ul {
    grid-template-columns: 1fr;
  }

  .Cols-1,
  .Cols-2,
  .Cols-3,
  .Cols-3_2fr-1fr,
  .Cols-3_1fr-2fr,
  .Cols-4,
  .Cols-5,
  .TabletCols-1,
  .TabletCols-2,
  .TabletCols-3,
  .TabletCols-4,
  .TabletCols-5 {
    grid-template-columns: 1fr;
  }

  .PhoneCols-1 {
    grid-template-columns: 1fr;
  }
  
  .PhoneCols-2 {
    grid-template-columns: 1fr 1fr;
  }

  .PhoneCols-3 {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .PhoneCols-4 {
    grid-template-columns: repeat(4, 1fr);
  }

  .HideOnPhone {
    display: none;
  }

  footer {
    grid-template-columns: 1fr;
  }

  .FooterNamePolicyTerms {
    padding: 20px;
    text-align: center;
  }

  .FooterSocial  {
    padding: 0px;
    text-align: center;
  }

}

/* End media query PHONE rules */